import request from "@/utils/request";

export function index (params,isLoading=true) {
  return request({
    method: "get",
    url: "/api/admin/category-type/index",
    params,
    isLoading
  })
}

export function store (data,isLoading=true) {
  return request({
    method: "post",
    url: "/api/admin/category-type/store",
    data,
    isLoading
  })
}

export function show (params,isLoading=true) {
  return request({
    method: "get",
    url: "/api/admin/category-type/show",
    params,
    isLoading
  })
}

export function save (data,isLoading=true) {
  return request({
    method: "post",
    url: "/api/admin/category-type/save",
    data,
    isLoading
  })
}

export function destroy (data,isLoading=true) {
  return request({
    method: "post",
    url: "/api/admin/category-type/delete",
    data,
    isLoading
  })
}
